#include<stdio.h>
#include <math.h>
#include "blackScholes.h"

main(){
  double a, b, rho;
  
  /* example from Kolb pg 602 */
  a = 0.176551; 
  b = 0.287381;
  rho= -0.279372;

  printf("Answer = %lf \n", BivarCND( a,  b,  rho));
  printf("From Kolb = 0.307309\n");

  a = 0.172012;
  b = -0.001024;
  rho = -0.768273;

  printf("Answer = %lf \n", BivarCND( a,  b,  rho));
  printf("From Kolb = 0.147242\n");

  a = 0.176551 + 0.2;
  b = 0.172012 + 0.3;
  rho = 0.4;

  printf("Answer = %lf \n", BivarCND( a,  b,  rho));
  printf("From Kolb = 0.496938\n");
 
}
